/games/{game_id}/do_not_track

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Adds users to the Do Not Track list. This blocks any events from matching user IDs from being collected.

Read more about this feature in the Data & Security guide.

Auth scope: GDPR API Key

📘

Data Plane Endpoint

If you are using a Dedicated environment, this endpoint will be accessible through your company's Event Ingest API endpoint. See Data Plane Management for more details.

Consent Scopes

You can provide the consent_scopes property to control fine grained consent settings. This enables you to provide detailed controls to how data is processed for each user. The supported consent scopes are:

  • processing - When set to false it indicates that the user has fully opted-out from data processing. This will prevent any events for this user from being tracked.
  • attribution - When set to false it indicates that the user has not provided consent for their data being used for attribution purposes. This will prevent their event data from being matched to any Touchpoints in the attribution process, but their event data will still be recorded. All goals this user triggers will show as "Unattributed" in reporting.
  • postbacks - When set to false it indicates that the user has not provided consent for their data to be posted back to your partner Ad Networks. This will prevent any postbacks from being sent for this user's events.

If you call the Do Not Track endpoint without the consent_scopes key then the API treats this call as a full opt-out and will prevent any data processing for that user.

Path Params
string
required

ID for the Game you want to add the Do Not Track record for

Body Params
user_ids
array of strings
required

List of IDs for users to add to the Do Not Track list

user_ids*
string
Defaults to server

Determines data hashing process. By default all IDs are hashed on the server side before storage. If you would prefer to SHA256 hash data before sending it to the API pass "client"

consent_scopes
object
Headers
string
required

This should be an API Key with the GDPR scope

string
Defaults to 2.0.0
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json